Create or update an MCP server
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/mcp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true,
"annotations": {
"readOnlyHint": true,
"destructiveHint": true
}
}
],
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"additional_headers": {},
"tags": {}
},
"dryRun": false,
"force": false
}
'import requests
url = "https://{controlPlaneURL}/api/svc/v1/mcp"
payload = {
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": True,
"annotations": {
"readOnlyHint": True,
"destructiveHint": True
}
}
],
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"additional_headers": {},
"tags": {}
},
"dryRun": False,
"force": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
manifest: {
type: 'mcp-server/remote',
name: '<string>',
description: '<string>',
url: '<string>',
collaborators: [{subject: '<string>', role_id: '<string>'}],
tool_settings: [
{
name: '<string>',
description: '<string>',
disabled: true,
annotations: {readOnlyHint: true, destructiveHint: true}
}
],
auth_data: {type: 'header', headers: {}, auth_level: 'global'},
additional_headers: {},
tags: {}
},
dryRun: false,
force: false
})
};
fetch('https://{controlPlaneURL}/api/svc/v1/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"fqn": "my-tenant:mcp-server:filesystem-tools",
"tenantName": "<string>",
"manifest": {
"type": "mcp-server/remote",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true,
"annotations": {
"readOnlyHint": true,
"destructiveHint": true
}
}
],
"auth_data": {
"type": "header",
"headers": {},
"auth_level": "global"
},
"ownedBy": {
"account": "<string>"
},
"additional_headers": {},
"tags": {}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"isAuthOverrideSupported": true
}
}MCP Servers V2
Create or update an MCP server
Creates a new MCP server (when no server with manifest.name exists in the tenant) or updates the existing one.
PUT
/
api
/
svc
/
v1
/
mcp
Create or update an MCP server
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The MCP server manifest describing the server type, name, auth configuration, and other settings.
- RemoteMCPServerManifest
- VirtualMCPServerManifest
- OpenAPIMCPServerManifest
- StdioMCPServerManifest
- TfyManagedMCPServerManifest
Show child attributes
Show child attributes
When true, validates and resolves the manifest without persisting or syncing to the gateway store.
When true, acknowledges that updating this manifest will delete existing per-subject auth records.
Response
The created or updated MCP server.
The MCP server data.
Show child attributes
Show child attributes
Was this page helpful?
⌘I